Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.properties
Class PropertyValueEncryptionUtils

    Object
      org.jasypt.properties.PropertyValueEncryptionUtils

    public final class PropertyValueEncryptionUtils

extends Object

Utility class to encrypt/decrypt values in properties files which could be encrypted.

A value is considered "encrypted" when it appears surrounded by `ENC(...)`, like:

`my.value=ENC(!"DGAS24FaIO$)`

This class is meant for internal Jasypt use only.

Since:
  1.4
Author:
  Daniel Fernández

Method Summary
`static String` | `decrypt(String encodedValue, StringEncryptor encryptor)`
`static String` | `decrypt(String encodedValue, TextEncryptor encryptor)`
`static String` | `encrypt(String decodedValue, StringEncryptor encryptor)`
`static String` | `encrypt(String decodedValue, TextEncryptor encryptor)`
`static boolean` | `isEncryptedValue(String value)`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isEncryptedValue

    public static boolean isEncryptedValue(String value)

### decrypt

    public static String decrypt(String encodedValue,
                                 StringEncryptor encryptor)

### decrypt

    public static String decrypt(String encodedValue,
                                 TextEncryptor encryptor)

### encrypt

    public static String encrypt(String decodedValue,
                                 StringEncryptor encryptor)

### encrypt

    public static String encrypt(String decodedValue,
                                 TextEncryptor encryptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.